#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.8.0
visibility:           public
id:                   clash-ghc-1.8.0-6fjn2zSy4Qt29LzycrdW1e
key:                  clash-ghc-1.8.0-6fjn2zSy4Qt29LzycrdW1e
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  81690fcb481e0cdb584da6b250c0d902
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.Leak Clash.GHCi.UI Clash.GHCi.UI.Info
    Clash.GHCi.UI.Monad Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Util Clash.GHCi.UI.Tags

import-dirs:          /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.8.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.8.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/clash-ghc
hs-libraries:         HSclash-ghc-1.8.0-6fjn2zSy4Qt29LzycrdW1e
depends:
    Cabal-3.4.1.0 array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    clash-lib-1.8.0-EC2q2EtmLBEDGBiBnKirCm
    clash-prelude-1.8.0-1gytvizm1Ae3sfQ3Nmm8vb
    concurrent-supply-0.1.8-Esk8vFiXMxMG58WfdUYKmj containers-0.6.4.1
    data-binary-ieee754-0.4.4-6nKeQnWkGoLJGejCHaRaWS deepseq-1.4.5.0
    directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.14-DtzIfRYPdKwKG7ww90MJHk filepath-1.4.2.1 ghc-9.0.2
    ghc-bignum-1.1 ghc-boot-9.0.2 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.4-5ACWkLb8sYr8qB9kwu3rMC
    ghc-typelits-knownnat-0.7.8-JbzN94YfM6XIzlUnsr7VyC
    ghc-typelits-natnormalise-0.7.8-pgoXAw1Cei8F7BOaWMXXa ghci-9.0.2
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ haskeline-0.8.2
    lens-5.2.3-Fb2iV9hhvDiI9S0zVfKi3i mtl-2.2.2
    primitive-0.7.4.0-3MecjX0EG9nEyOtRD6f3ja process-1.6.13.2
    reflection-2.1.7-DERDmeBv6WhAcbaphZmWvn
    split-0.2.5-IiJVMbWpsRS8onfVw2iHJp
    string-interpolate-0.3.3.0-Ha6DkIG8uWQBJEUWZheXEr
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 uniplate-1.6.13-31uTJwKgUdw57JyFevg0DR
    unix-2.7.2.2 unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

